Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network44.167.96.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
44.167.96.0
Broadcast address
44.167.99.255
First usable
44.167.96.1
Last usable
44.167.99.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 2CA76000 · Integer 749166592 to 749167615
Reverse DNS zones
96.167.44.in-addr.arpa
97.167.44.in-addr.arpa
98.167.44.in-addr.arpa
99.167.44.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101100.10100111.01100000.0000000044.167.96.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network00101100.10100111.01100000.0000000044.167.96.0
Broadcast00101100.10100111.01100011.1111111144.167.99.255
Split into smaller subnets/30

44.167.96.0/22 makes 256 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
144.167.96.0/3044.167.96.1 to 44.167.96.244.167.96.32
244.167.96.4/3044.167.96.5 to 44.167.96.644.167.96.72
344.167.96.8/3044.167.96.9 to 44.167.96.1044.167.96.112
444.167.96.12/3044.167.96.13 to 44.167.96.1444.167.96.152
544.167.96.16/3044.167.96.17 to 44.167.96.1844.167.96.192
644.167.96.20/3044.167.96.21 to 44.167.96.2244.167.96.232
744.167.96.24/3044.167.96.25 to 44.167.96.2644.167.96.272
844.167.96.28/3044.167.96.29 to 44.167.96.3044.167.96.312
944.167.96.32/3044.167.96.33 to 44.167.96.3444.167.96.352
1044.167.96.36/3044.167.96.37 to 44.167.96.3844.167.96.392
1144.167.96.40/3044.167.96.41 to 44.167.96.4244.167.96.432
1244.167.96.44/3044.167.96.45 to 44.167.96.4644.167.96.472
1344.167.96.48/3044.167.96.49 to 44.167.96.5044.167.96.512
1444.167.96.52/3044.167.96.53 to 44.167.96.5444.167.96.552
1544.167.96.56/3044.167.96.57 to 44.167.96.5844.167.96.592
1644.167.96.60/3044.167.96.61 to 44.167.96.6244.167.96.632
1744.167.96.64/3044.167.96.65 to 44.167.96.6644.167.96.672
1844.167.96.68/3044.167.96.69 to 44.167.96.7044.167.96.712
1944.167.96.72/3044.167.96.73 to 44.167.96.7444.167.96.752
2044.167.96.76/3044.167.96.77 to 44.167.96.7844.167.96.792
2144.167.96.80/3044.167.96.81 to 44.167.96.8244.167.96.832
2244.167.96.84/3044.167.96.85 to 44.167.96.8644.167.96.872
2344.167.96.88/3044.167.96.89 to 44.167.96.9044.167.96.912
2444.167.96.92/3044.167.96.93 to 44.167.96.9444.167.96.952
2544.167.96.96/3044.167.96.97 to 44.167.96.9844.167.96.992
2644.167.96.100/3044.167.96.101 to 44.167.96.10244.167.96.1032
2744.167.96.104/3044.167.96.105 to 44.167.96.10644.167.96.1072
2844.167.96.108/3044.167.96.109 to 44.167.96.11044.167.96.1112
2944.167.96.112/3044.167.96.113 to 44.167.96.11444.167.96.1152
3044.167.96.116/3044.167.96.117 to 44.167.96.11844.167.96.1192
3144.167.96.120/3044.167.96.121 to 44.167.96.12244.167.96.1232
3244.167.96.124/3044.167.96.125 to 44.167.96.12644.167.96.1272
3344.167.96.128/3044.167.96.129 to 44.167.96.13044.167.96.1312
3444.167.96.132/3044.167.96.133 to 44.167.96.13444.167.96.1352
3544.167.96.136/3044.167.96.137 to 44.167.96.13844.167.96.1392
3644.167.96.140/3044.167.96.141 to 44.167.96.14244.167.96.1432
3744.167.96.144/3044.167.96.145 to 44.167.96.14644.167.96.1472
3844.167.96.148/3044.167.96.149 to 44.167.96.15044.167.96.1512
3944.167.96.152/3044.167.96.153 to 44.167.96.15444.167.96.1552
4044.167.96.156/3044.167.96.157 to 44.167.96.15844.167.96.1592
4144.167.96.160/3044.167.96.161 to 44.167.96.16244.167.96.1632
4244.167.96.164/3044.167.96.165 to 44.167.96.16644.167.96.1672
4344.167.96.168/3044.167.96.169 to 44.167.96.17044.167.96.1712
4444.167.96.172/3044.167.96.173 to 44.167.96.17444.167.96.1752
4544.167.96.176/3044.167.96.177 to 44.167.96.17844.167.96.1792
4644.167.96.180/3044.167.96.181 to 44.167.96.18244.167.96.1832
4744.167.96.184/3044.167.96.185 to 44.167.96.18644.167.96.1872
4844.167.96.188/3044.167.96.189 to 44.167.96.19044.167.96.1912
4944.167.96.192/3044.167.96.193 to 44.167.96.19444.167.96.1952
5044.167.96.196/3044.167.96.197 to 44.167.96.19844.167.96.1992
5144.167.96.200/3044.167.96.201 to 44.167.96.20244.167.96.2032
5244.167.96.204/3044.167.96.205 to 44.167.96.20644.167.96.2072
5344.167.96.208/3044.167.96.209 to 44.167.96.21044.167.96.2112
5444.167.96.212/3044.167.96.213 to 44.167.96.21444.167.96.2152
5544.167.96.216/3044.167.96.217 to 44.167.96.21844.167.96.2192
5644.167.96.220/3044.167.96.221 to 44.167.96.22244.167.96.2232
5744.167.96.224/3044.167.96.225 to 44.167.96.22644.167.96.2272
5844.167.96.228/3044.167.96.229 to 44.167.96.23044.167.96.2312
5944.167.96.232/3044.167.96.233 to 44.167.96.23444.167.96.2352
6044.167.96.236/3044.167.96.237 to 44.167.96.23844.167.96.2392
6144.167.96.240/3044.167.96.241 to 44.167.96.24244.167.96.2432
6244.167.96.244/3044.167.96.245 to 44.167.96.24644.167.96.2472
6344.167.96.248/3044.167.96.249 to 44.167.96.25044.167.96.2512
6444.167.96.252/3044.167.96.253 to 44.167.96.25444.167.96.2552
6544.167.97.0/3044.167.97.1 to 44.167.97.244.167.97.32
6644.167.97.4/3044.167.97.5 to 44.167.97.644.167.97.72
6744.167.97.8/3044.167.97.9 to 44.167.97.1044.167.97.112
6844.167.97.12/3044.167.97.13 to 44.167.97.1444.167.97.152
6944.167.97.16/3044.167.97.17 to 44.167.97.1844.167.97.192
7044.167.97.20/3044.167.97.21 to 44.167.97.2244.167.97.232
7144.167.97.24/3044.167.97.25 to 44.167.97.2644.167.97.272
7244.167.97.28/3044.167.97.29 to 44.167.97.3044.167.97.312
7344.167.97.32/3044.167.97.33 to 44.167.97.3444.167.97.352
7444.167.97.36/3044.167.97.37 to 44.167.97.3844.167.97.392
7544.167.97.40/3044.167.97.41 to 44.167.97.4244.167.97.432
7644.167.97.44/3044.167.97.45 to 44.167.97.4644.167.97.472
7744.167.97.48/3044.167.97.49 to 44.167.97.5044.167.97.512
7844.167.97.52/3044.167.97.53 to 44.167.97.5444.167.97.552
7944.167.97.56/3044.167.97.57 to 44.167.97.5844.167.97.592
8044.167.97.60/3044.167.97.61 to 44.167.97.6244.167.97.632
8144.167.97.64/3044.167.97.65 to 44.167.97.6644.167.97.672
8244.167.97.68/3044.167.97.69 to 44.167.97.7044.167.97.712
8344.167.97.72/3044.167.97.73 to 44.167.97.7444.167.97.752
8444.167.97.76/3044.167.97.77 to 44.167.97.7844.167.97.792
8544.167.97.80/3044.167.97.81 to 44.167.97.8244.167.97.832
8644.167.97.84/3044.167.97.85 to 44.167.97.8644.167.97.872
8744.167.97.88/3044.167.97.89 to 44.167.97.9044.167.97.912
8844.167.97.92/3044.167.97.93 to 44.167.97.9444.167.97.952
8944.167.97.96/3044.167.97.97 to 44.167.97.9844.167.97.992
9044.167.97.100/3044.167.97.101 to 44.167.97.10244.167.97.1032
9144.167.97.104/3044.167.97.105 to 44.167.97.10644.167.97.1072
9244.167.97.108/3044.167.97.109 to 44.167.97.11044.167.97.1112
9344.167.97.112/3044.167.97.113 to 44.167.97.11444.167.97.1152
9444.167.97.116/3044.167.97.117 to 44.167.97.11844.167.97.1192
9544.167.97.120/3044.167.97.121 to 44.167.97.12244.167.97.1232
9644.167.97.124/3044.167.97.125 to 44.167.97.12644.167.97.1272
9744.167.97.128/3044.167.97.129 to 44.167.97.13044.167.97.1312
9844.167.97.132/3044.167.97.133 to 44.167.97.13444.167.97.1352
9944.167.97.136/3044.167.97.137 to 44.167.97.13844.167.97.1392
10044.167.97.140/3044.167.97.141 to 44.167.97.14244.167.97.1432
10144.167.97.144/3044.167.97.145 to 44.167.97.14644.167.97.1472
10244.167.97.148/3044.167.97.149 to 44.167.97.15044.167.97.1512
10344.167.97.152/3044.167.97.153 to 44.167.97.15444.167.97.1552
10444.167.97.156/3044.167.97.157 to 44.167.97.15844.167.97.1592
10544.167.97.160/3044.167.97.161 to 44.167.97.16244.167.97.1632
10644.167.97.164/3044.167.97.165 to 44.167.97.16644.167.97.1672
10744.167.97.168/3044.167.97.169 to 44.167.97.17044.167.97.1712
10844.167.97.172/3044.167.97.173 to 44.167.97.17444.167.97.1752
10944.167.97.176/3044.167.97.177 to 44.167.97.17844.167.97.1792
11044.167.97.180/3044.167.97.181 to 44.167.97.18244.167.97.1832
11144.167.97.184/3044.167.97.185 to 44.167.97.18644.167.97.1872
11244.167.97.188/3044.167.97.189 to 44.167.97.19044.167.97.1912
11344.167.97.192/3044.167.97.193 to 44.167.97.19444.167.97.1952
11444.167.97.196/3044.167.97.197 to 44.167.97.19844.167.97.1992
11544.167.97.200/3044.167.97.201 to 44.167.97.20244.167.97.2032
11644.167.97.204/3044.167.97.205 to 44.167.97.20644.167.97.2072
11744.167.97.208/3044.167.97.209 to 44.167.97.21044.167.97.2112
11844.167.97.212/3044.167.97.213 to 44.167.97.21444.167.97.2152
11944.167.97.216/3044.167.97.217 to 44.167.97.21844.167.97.2192
12044.167.97.220/3044.167.97.221 to 44.167.97.22244.167.97.2232
12144.167.97.224/3044.167.97.225 to 44.167.97.22644.167.97.2272
12244.167.97.228/3044.167.97.229 to 44.167.97.23044.167.97.2312
12344.167.97.232/3044.167.97.233 to 44.167.97.23444.167.97.2352
12444.167.97.236/3044.167.97.237 to 44.167.97.23844.167.97.2392
12544.167.97.240/3044.167.97.241 to 44.167.97.24244.167.97.2432
12644.167.97.244/3044.167.97.245 to 44.167.97.24644.167.97.2472
12744.167.97.248/3044.167.97.249 to 44.167.97.25044.167.97.2512
12844.167.97.252/3044.167.97.253 to 44.167.97.25444.167.97.2552
12944.167.98.0/3044.167.98.1 to 44.167.98.244.167.98.32
13044.167.98.4/3044.167.98.5 to 44.167.98.644.167.98.72
13144.167.98.8/3044.167.98.9 to 44.167.98.1044.167.98.112
13244.167.98.12/3044.167.98.13 to 44.167.98.1444.167.98.152
13344.167.98.16/3044.167.98.17 to 44.167.98.1844.167.98.192
13444.167.98.20/3044.167.98.21 to 44.167.98.2244.167.98.232
13544.167.98.24/3044.167.98.25 to 44.167.98.2644.167.98.272
13644.167.98.28/3044.167.98.29 to 44.167.98.3044.167.98.312
13744.167.98.32/3044.167.98.33 to 44.167.98.3444.167.98.352
13844.167.98.36/3044.167.98.37 to 44.167.98.3844.167.98.392
13944.167.98.40/3044.167.98.41 to 44.167.98.4244.167.98.432
14044.167.98.44/3044.167.98.45 to 44.167.98.4644.167.98.472
14144.167.98.48/3044.167.98.49 to 44.167.98.5044.167.98.512
14244.167.98.52/3044.167.98.53 to 44.167.98.5444.167.98.552
14344.167.98.56/3044.167.98.57 to 44.167.98.5844.167.98.592
14444.167.98.60/3044.167.98.61 to 44.167.98.6244.167.98.632
14544.167.98.64/3044.167.98.65 to 44.167.98.6644.167.98.672
14644.167.98.68/3044.167.98.69 to 44.167.98.7044.167.98.712
14744.167.98.72/3044.167.98.73 to 44.167.98.7444.167.98.752
14844.167.98.76/3044.167.98.77 to 44.167.98.7844.167.98.792
14944.167.98.80/3044.167.98.81 to 44.167.98.8244.167.98.832
15044.167.98.84/3044.167.98.85 to 44.167.98.8644.167.98.872
15144.167.98.88/3044.167.98.89 to 44.167.98.9044.167.98.912
15244.167.98.92/3044.167.98.93 to 44.167.98.9444.167.98.952
15344.167.98.96/3044.167.98.97 to 44.167.98.9844.167.98.992
15444.167.98.100/3044.167.98.101 to 44.167.98.10244.167.98.1032
15544.167.98.104/3044.167.98.105 to 44.167.98.10644.167.98.1072
15644.167.98.108/3044.167.98.109 to 44.167.98.11044.167.98.1112
15744.167.98.112/3044.167.98.113 to 44.167.98.11444.167.98.1152
15844.167.98.116/3044.167.98.117 to 44.167.98.11844.167.98.1192
15944.167.98.120/3044.167.98.121 to 44.167.98.12244.167.98.1232
16044.167.98.124/3044.167.98.125 to 44.167.98.12644.167.98.1272
16144.167.98.128/3044.167.98.129 to 44.167.98.13044.167.98.1312
16244.167.98.132/3044.167.98.133 to 44.167.98.13444.167.98.1352
16344.167.98.136/3044.167.98.137 to 44.167.98.13844.167.98.1392
16444.167.98.140/3044.167.98.141 to 44.167.98.14244.167.98.1432
16544.167.98.144/3044.167.98.145 to 44.167.98.14644.167.98.1472
16644.167.98.148/3044.167.98.149 to 44.167.98.15044.167.98.1512
16744.167.98.152/3044.167.98.153 to 44.167.98.15444.167.98.1552
16844.167.98.156/3044.167.98.157 to 44.167.98.15844.167.98.1592
16944.167.98.160/3044.167.98.161 to 44.167.98.16244.167.98.1632
17044.167.98.164/3044.167.98.165 to 44.167.98.16644.167.98.1672
17144.167.98.168/3044.167.98.169 to 44.167.98.17044.167.98.1712
17244.167.98.172/3044.167.98.173 to 44.167.98.17444.167.98.1752
17344.167.98.176/3044.167.98.177 to 44.167.98.17844.167.98.1792
17444.167.98.180/3044.167.98.181 to 44.167.98.18244.167.98.1832
17544.167.98.184/3044.167.98.185 to 44.167.98.18644.167.98.1872
17644.167.98.188/3044.167.98.189 to 44.167.98.19044.167.98.1912
17744.167.98.192/3044.167.98.193 to 44.167.98.19444.167.98.1952
17844.167.98.196/3044.167.98.197 to 44.167.98.19844.167.98.1992
17944.167.98.200/3044.167.98.201 to 44.167.98.20244.167.98.2032
18044.167.98.204/3044.167.98.205 to 44.167.98.20644.167.98.2072
18144.167.98.208/3044.167.98.209 to 44.167.98.21044.167.98.2112
18244.167.98.212/3044.167.98.213 to 44.167.98.21444.167.98.2152
18344.167.98.216/3044.167.98.217 to 44.167.98.21844.167.98.2192
18444.167.98.220/3044.167.98.221 to 44.167.98.22244.167.98.2232
18544.167.98.224/3044.167.98.225 to 44.167.98.22644.167.98.2272
18644.167.98.228/3044.167.98.229 to 44.167.98.23044.167.98.2312
18744.167.98.232/3044.167.98.233 to 44.167.98.23444.167.98.2352
18844.167.98.236/3044.167.98.237 to 44.167.98.23844.167.98.2392
18944.167.98.240/3044.167.98.241 to 44.167.98.24244.167.98.2432
19044.167.98.244/3044.167.98.245 to 44.167.98.24644.167.98.2472
19144.167.98.248/3044.167.98.249 to 44.167.98.25044.167.98.2512
19244.167.98.252/3044.167.98.253 to 44.167.98.25444.167.98.2552
19344.167.99.0/3044.167.99.1 to 44.167.99.244.167.99.32
19444.167.99.4/3044.167.99.5 to 44.167.99.644.167.99.72
19544.167.99.8/3044.167.99.9 to 44.167.99.1044.167.99.112
19644.167.99.12/3044.167.99.13 to 44.167.99.1444.167.99.152
19744.167.99.16/3044.167.99.17 to 44.167.99.1844.167.99.192
19844.167.99.20/3044.167.99.21 to 44.167.99.2244.167.99.232
19944.167.99.24/3044.167.99.25 to 44.167.99.2644.167.99.272
20044.167.99.28/3044.167.99.29 to 44.167.99.3044.167.99.312
20144.167.99.32/3044.167.99.33 to 44.167.99.3444.167.99.352
20244.167.99.36/3044.167.99.37 to 44.167.99.3844.167.99.392
20344.167.99.40/3044.167.99.41 to 44.167.99.4244.167.99.432
20444.167.99.44/3044.167.99.45 to 44.167.99.4644.167.99.472
20544.167.99.48/3044.167.99.49 to 44.167.99.5044.167.99.512
20644.167.99.52/3044.167.99.53 to 44.167.99.5444.167.99.552
20744.167.99.56/3044.167.99.57 to 44.167.99.5844.167.99.592
20844.167.99.60/3044.167.99.61 to 44.167.99.6244.167.99.632
20944.167.99.64/3044.167.99.65 to 44.167.99.6644.167.99.672
21044.167.99.68/3044.167.99.69 to 44.167.99.7044.167.99.712
21144.167.99.72/3044.167.99.73 to 44.167.99.7444.167.99.752
21244.167.99.76/3044.167.99.77 to 44.167.99.7844.167.99.792
21344.167.99.80/3044.167.99.81 to 44.167.99.8244.167.99.832
21444.167.99.84/3044.167.99.85 to 44.167.99.8644.167.99.872
21544.167.99.88/3044.167.99.89 to 44.167.99.9044.167.99.912
21644.167.99.92/3044.167.99.93 to 44.167.99.9444.167.99.952
21744.167.99.96/3044.167.99.97 to 44.167.99.9844.167.99.992
21844.167.99.100/3044.167.99.101 to 44.167.99.10244.167.99.1032
21944.167.99.104/3044.167.99.105 to 44.167.99.10644.167.99.1072
22044.167.99.108/3044.167.99.109 to 44.167.99.11044.167.99.1112
22144.167.99.112/3044.167.99.113 to 44.167.99.11444.167.99.1152
22244.167.99.116/3044.167.99.117 to 44.167.99.11844.167.99.1192
22344.167.99.120/3044.167.99.121 to 44.167.99.12244.167.99.1232
22444.167.99.124/3044.167.99.125 to 44.167.99.12644.167.99.1272
22544.167.99.128/3044.167.99.129 to 44.167.99.13044.167.99.1312
22644.167.99.132/3044.167.99.133 to 44.167.99.13444.167.99.1352
22744.167.99.136/3044.167.99.137 to 44.167.99.13844.167.99.1392
22844.167.99.140/3044.167.99.141 to 44.167.99.14244.167.99.1432
22944.167.99.144/3044.167.99.145 to 44.167.99.14644.167.99.1472
23044.167.99.148/3044.167.99.149 to 44.167.99.15044.167.99.1512
23144.167.99.152/3044.167.99.153 to 44.167.99.15444.167.99.1552
23244.167.99.156/3044.167.99.157 to 44.167.99.15844.167.99.1592
23344.167.99.160/3044.167.99.161 to 44.167.99.16244.167.99.1632
23444.167.99.164/3044.167.99.165 to 44.167.99.16644.167.99.1672
23544.167.99.168/3044.167.99.169 to 44.167.99.17044.167.99.1712
23644.167.99.172/3044.167.99.173 to 44.167.99.17444.167.99.1752
23744.167.99.176/3044.167.99.177 to 44.167.99.17844.167.99.1792
23844.167.99.180/3044.167.99.181 to 44.167.99.18244.167.99.1832
23944.167.99.184/3044.167.99.185 to 44.167.99.18644.167.99.1872
24044.167.99.188/3044.167.99.189 to 44.167.99.19044.167.99.1912
24144.167.99.192/3044.167.99.193 to 44.167.99.19444.167.99.1952
24244.167.99.196/3044.167.99.197 to 44.167.99.19844.167.99.1992
24344.167.99.200/3044.167.99.201 to 44.167.99.20244.167.99.2032
24444.167.99.204/3044.167.99.205 to 44.167.99.20644.167.99.2072
24544.167.99.208/3044.167.99.209 to 44.167.99.21044.167.99.2112
24644.167.99.212/3044.167.99.213 to 44.167.99.21444.167.99.2152
24744.167.99.216/3044.167.99.217 to 44.167.99.21844.167.99.2192
24844.167.99.220/3044.167.99.221 to 44.167.99.22244.167.99.2232
24944.167.99.224/3044.167.99.225 to 44.167.99.22644.167.99.2272
25044.167.99.228/3044.167.99.229 to 44.167.99.23044.167.99.2312
25144.167.99.232/3044.167.99.233 to 44.167.99.23444.167.99.2352
25244.167.99.236/3044.167.99.237 to 44.167.99.23844.167.99.2392
25344.167.99.240/3044.167.99.241 to 44.167.99.24244.167.99.2432
25444.167.99.244/3044.167.99.245 to 44.167.99.24644.167.99.2472
25544.167.99.248/3044.167.99.249 to 44.167.99.25044.167.99.2512
25644.167.99.252/3044.167.99.253 to 44.167.99.25444.167.99.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses